Redmine - Feature #4834

Java implementation of redmine API
2010-02-13 05:46 - oliver stieber

Status: Closed Start date: 2010-02-13
Priority: Normal Due date:

Assignee: % Done: 90%
Category: REST API Estimated time: 0.00 hour
Target version:

Resolution:

Description

Hi,

It would be nice to have a java implementation of the redmine API, this could possibly just be done using the mobile java
implementation raised as a different feature request.

Related issues:
Is duplicate of Redmine - Feature #4831: mobile java implementation of redmin... Closed 2010-02-13

History

#1 - 2010-02-13 10:22 - Jean-Philippe Lang
- Category set to REST API

#2 - 2010-04-20 23:50 - Alex Last
I'm looking for Java API to parse Redmine REST APl XML data. Will have to create a new API if it does not exist yet.

#3 - 2010-04-22 01:42 - Alex Last

Eclipse mylin-redmine connector should have the Java API to parse Redmine data. here's the link:
https://sourceforge.net/projects/redmin-mylyncon/develop
| asked them to provide that APl in reusable form, but not sure if anyone is still working on that project.

#4 - 2010-04-24 06:50 - Alex Last

| created a draft version of Redmine Java API.
Sample Java Application to parse Redmine data and generate Microsoft Project file (includes Redmine Java API):
http://redmine-connect.googlecode.com/files/redmine_connect.zip

| will keep working on that project.

#5 - 2010-11-29 21:50 - Alex Last

the zip file attached above is outdated now. | have Java API for Redmine REST service, which I'm using in this project:
http://code.google.com/p/redmine-connect. I'm going to cleanup/refactor the APl and then maybe provide it for a separate download.

#6 - 2010-12-26 00:47 - Anonymous

Unfortunately | always get an 403-Error when trying to access this page ;-(

#7 - 2010-12-26 01:42 - Alex Last

Hello, Markus. The project has moved to another website. Unfortunately, | can't delete the old links here.

Here's the download page: http://www.taskadapter.com/download
It's a commercial software with support, documentation and samples. New versions will be released approximately every 2 weeks.

#8 - 2011-01-31 09:04 - Alex Last
- Status changed from New to Resolved

- % Done changed from 0 to 90

Redmine Java API becomes FREE and open-source (Apache 2 license) as of version 1.0.3.

http://taskadapter.com/redmine_java_api_1.0.3
Please, contact us if you want to help with the APl improvements by spending your time or donating money to the existing volunteers.
1.0.3 version highlights:

The distributive includes both plain-java and OSGl versions.

Create/Update/Get operations are supported for Redmine Users (Redmine 1.1.0+ is required)
Error messages provided by Redmine 1.1.0+ are now supported.

Paging is supported for getUsers, getProjects operations.

"Created on", "Updated on" fields are supported for Issues and Projects.

Unneeded jars are removed from the dependencies. *

#9 - 2011-02-25 23:32 - Mohit Gupta

Hi, | am back here after a long time since | landed here for Redmine Java Client long time ago. It seems there are good progress on this. | am also
using my small custom Java Connector for Redmine, which | have put at http://code.google.com/p/redmine-jconnector/

#10 - 2011-02-25 23:36 - Alex Last

Mohit, you're welcome to join the existing project: https:/code.google.com/p/redmine-java-api
it already does everything you've planned for your connector.

#11 - 2011-02-26 17:13 - Etienne Massip

- Status changed from Resolved to Closed

So be it.
